Bug 657118 - pprof needs proper support for jemalloc
Summary: pprof needs proper support for jemalloc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: google-perftools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-24 23:45 UTC by Ingvar Hagelund
Modified: 2010-12-20 17:29 UTC (History)
1 user (show)

Fixed In Version: google-perftools-1.6-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-10 20:32:37 UTC


Attachments (Terms of Use)
jemalloc support for pprof (2.59 KB, patch)
2010-11-24 23:45 UTC, Ingvar Hagelund
no flags Details | Diff

Description Ingvar Hagelund 2010-11-24 23:45:00 UTC
Created attachment 462778 [details]
jemalloc support for pprof

Description of problem:
pprof does not support jemalloc properly

Version-Release number of selected component (if applicable):
google-perftools-1.5-1
google-perftools-1.6-1

How reproducible:
Always

Steps to Reproduce:
According to upstream jemalloc maintainer, the released pprof in 
google-perftools does not handle jemalloc properly, though a fix
is pending upstream.

Quoting Jason Evans (direct email):

"Unfortunately, there is a bug in the upstream pprof that hasn't been
fixed in a google-perftools release yet, so this means pprof will crash
for typical jemalloc configurations that enable heap profiling.  With
any luck the maintainers won't forget to incorporate the fix next time."
  
Actual results:
pprof crashes under certain profiling tests.

Expected results:
A stable pprof also when profiling against jemalloc

Additional info:
jemalloc was added to fedora earlier this week. It would have been nice 
with a working pprof to match it. The attached patch is actually a diff
against the pprof version provided with jemalloc. It should apply both to
google-perftools versions 1.5 and 1.6.

Ingvar

Comment 1 Fedora Update System 2010-12-02 15:34:56 UTC
google-perftools-1.6-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/google-perftools-1.6-2.fc13

Comment 2 Fedora Update System 2010-12-02 15:35:02 UTC
google-perftools-1.6-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/google-perftools-1.6-2.el5

Comment 3 Fedora Update System 2010-12-02 15:35:09 UTC
google-perftools-1.6-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/google-perftools-1.6-2.fc14

Comment 4 Fedora Update System 2010-12-02 19:09:06 UTC
google-perftools-1.6-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update google-perftools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/google-perftools-1.6-2.fc14

Comment 5 Fedora Update System 2010-12-10 20:32:32 UTC
google-perftools-1.6-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-12-10 20:33:55 UTC
google-perftools-1.6-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-12-20 17:28:56 UTC
google-perftools-1.6-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.